Skip to content

Templates

All operations require authentication.

5 operationsv1/xdsl/templateModem
Agent setup

List modem templatesProduction

GET
/1.0/xdsl/templateModem

Returns the names of the modem templates of the account.

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/templateModem \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a modem templateProduction

POST
/1.0/xdsl/templateModem

Creates a template from the modem configuration of an access. Returns the created template.

Request body (required)

name
required
string

Modem Template name (only alphanumeric characters)

serviceName
required
string

The access name with the config you want to duplicate

Response

200TemplateModemsuccessful operation
DHCP
read-only
DHCP[]

List of DHCP for this template

LAN
read-only
LAN[]

List of LAN for this template

WLAN
read-only
WLAN[]

List of WLAN for this template

capabilities
read-only
string

Parameters capabilities. Lists what can be applied from this template

creationDate
read-only
stringdate-time

Template creation date

dmzIP
read-only
ip

IP Address of the DMZ

mtuSize
read-only
MTUSizeEnum

Size of the Maximum Transmission Unit on the modem's interfaces

Values143214561492
name
read-only
string

Name of the Modem Template

parametersToIgnore
ParametersToIgnore

Do not apply these parameters from template. You can use parametersCapabilities to know availability

portMapping
read-only
PortMapping[]

List of PortMapping for this template

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/templateModem \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "DHCP": [ { "defaultGateway": "192.0.2.0", "dhcpName": "string", "domainName": "string", "endAddress": "192.0.2.0", "leaseTime": 0, "primaryDNS": "192.0.2.0", "secondaryDNS": "192.0.2.0", "serverEnabled": true, "startAddress": "192.0.2.0", "subnetMask": "192.0.2.0" } ], "LAN": [ { "IPAddress": "192.0.2.0", "addressingType": "DHCP", "lanName": "string", "subnetMask": "192.0.2.0" } ], "WLAN": [ { "SSID": "string", "SSIDAdvertisementEnabled": true, "bandSteering": true, "channel": 0, "channelMode": "Auto", "enabled": true, "frequency": "2.4GHz", "guest": true, "securityKey": "string", "securityType": "None", "wifiName": "string" } ], "capabilities": "string", "creationDate": "2024-01-01T12:00:00Z", "dmzIP": "192.0.2.0", "mtuSize": 1432, "name": "string", "parametersToIgnore": { "LANandDHCP": true, "WLANList": [ "string" ], "dmzIP": true, "mtuSize": true, "portMappingList": [ "string" ] }, "portMapping": [ { "allowedRemoteIp": "192.0.2.0", "description": "string", "externalPortEnd": 0, "externalPortStart": 0, "internalClient": "192.0.2.0", "internalPort": 0, "name": "string", "protocol": "TCP" } ]}

Get a modem templateProduction

GET
/1.0/xdsl/templateModem/{name}

Returns the LAN, DHCP, WLAN, port mapping, DMZ and MTU settings of a modem template, and the parameters to ignore when it is applied.

Path parameters

name
required
string

Name

Response

200TemplateModemsuccessful operation
DHCP
read-only
DHCP[]

List of DHCP for this template

LAN
read-only
LAN[]

List of LAN for this template

WLAN
read-only
WLAN[]

List of WLAN for this template

capabilities
read-only
string

Parameters capabilities. Lists what can be applied from this template

creationDate
read-only
stringdate-time

Template creation date

dmzIP
read-only
ip

IP Address of the DMZ

mtuSize
read-only
MTUSizeEnum

Size of the Maximum Transmission Unit on the modem's interfaces

Values143214561492
name
read-only
string

Name of the Modem Template

parametersToIgnore
ParametersToIgnore

Do not apply these parameters from template. You can use parametersCapabilities to know availability

portMapping
read-only
PortMapping[]

List of PortMapping for this template

Example uses name = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/templateModem/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "DHCP": [ { "defaultGateway": "192.0.2.0", "dhcpName": "string", "domainName": "string", "endAddress": "192.0.2.0", "leaseTime": 0, "primaryDNS": "192.0.2.0", "secondaryDNS": "192.0.2.0", "serverEnabled": true, "startAddress": "192.0.2.0", "subnetMask": "192.0.2.0" } ], "LAN": [ { "IPAddress": "192.0.2.0", "addressingType": "DHCP", "lanName": "string", "subnetMask": "192.0.2.0" } ], "WLAN": [ { "SSID": "string", "SSIDAdvertisementEnabled": true, "bandSteering": true, "channel": 0, "channelMode": "Auto", "enabled": true, "frequency": "2.4GHz", "guest": true, "securityKey": "string", "securityType": "None", "wifiName": "string" } ], "capabilities": "string", "creationDate": "2024-01-01T12:00:00Z", "dmzIP": "192.0.2.0", "mtuSize": 1432, "name": "string", "parametersToIgnore": { "LANandDHCP": true, "WLANList": [ "string" ], "dmzIP": true, "mtuSize": true, "portMappingList": [ "string" ] }, "portMapping": [ { "allowedRemoteIp": "192.0.2.0", "description": "string", "externalPortEnd": 0, "externalPortStart": 0, "internalClient": "192.0.2.0", "internalPort": 0, "name": "string", "protocol": "TCP" } ]}

Update a modem templateProduction

PUT
/1.0/xdsl/templateModem/{name}

Changes the parameters to ignore when the template is applied to a modem.

Path parameters

name
required
string

Name

Request body (required)

DHCP
read-only
DHCP[]

List of DHCP for this template

LAN
read-only
LAN[]

List of LAN for this template

WLAN
read-only
WLAN[]

List of WLAN for this template

capabilities
read-only
string

Parameters capabilities. Lists what can be applied from this template

creationDate
read-only
stringdate-time

Template creation date

dmzIP
read-only
ip

IP Address of the DMZ

mtuSize
read-only
MTUSizeEnum

Size of the Maximum Transmission Unit on the modem's interfaces

Values143214561492
name
read-only
string

Name of the Modem Template

parametersToIgnore
ParametersToIgnore

Do not apply these parameters from template. You can use parametersCapabilities to know availability

portMapping
read-only
PortMapping[]

List of PortMapping for this template

Response

200—successful operation

Example uses name = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/templateModem/{name} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a modem templateProduction

DELETE
/1.0/xdsl/templateModem/{name}

Deletes the modem template and all its settings.

Path parameters

name
required
string

Name

Response

200—successful operation

Example uses name = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/templateModem/{name} \
  -H "authorization: Bearer $OVH_TOKEN"